Graphics Slow After Upgrade 14.04 - 14.10

Bug #1386721 reported by Celian on 2014-10-28
576
This bug affects 123 people
Affects Status Importance Assigned to Milestone
Ubuntu GNOME
Undecided
Unassigned

Bug Description

Using Gnome Ubuntu 14.10, Dell XPS 13, intel 915 Graphics

After upgrading from 14.04 to 14.10 there are a lot of places where the graphics are working much slower than they were before:

- Gnome Shell Interface is very sluggish, visible "chops" (redrawing) when pressing the [Super] key.

- Selecting text in Gedit takes a full second pr. line

Experiences some subjective improvement when I booted kernel 3.13.0-37 instead of 3.16.0-23, but that may be my imagination as the problem persists.

I've searched google, forums, found a couple of relevant links that point to the issue being the Intel drivers.

    http://askubuntu.com/questions/53962...E2%86%92-14-10
    http://www.webupd8.org/2014/10/ubunt...ent-1652086424

But the drivers currently in 14.10 should be newer than those supplied by Intel to 14.04 so that doesn't make sense to me. As one Intel developer wrote:

"I would like to point out that since what we do is bring more ecent versions of the software to the target distributions than they ship with, a 14.04 targeted installer is unlikely to bring much to a 14.10 installation, which most likely has the same or more recent versions already anyway."

Source: https://01.org/linuxgraphics/node/375

ProblemType: Bug
DistroRelease: Ubuntu 14.10
Package: xorg 1:7.7+7ubuntu2
ProcVersionSignature: Ubuntu 3.16.0-23.31-generic 3.16.4
Uname: Linux 3.16.0-23-generic x86_64
ApportVersion: 2.14.7-0ubuntu8
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
CurrentDesktop: GNOME
Date: Tue Oct 28 15:24:30 2014
DistUpgraded: 2014-10-25 20:59:36,052 DEBUG enabling apt cron job
DistroCodename: utopic
DistroVariant: ubuntu
DkmsStatus: i915-3.15-3.13, 0.01, 3.13.0-37-generic, x86_64: installed
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Intel Corporation Haswell-ULT Integrated Graphics Controller [8086:0a16] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:060a]
InstallationDate: Installed on 2014-06-14 (135 days ago)
InstallationMedia: Ubuntu-GNOME 14.04 LTS "Trusty Tahr" - Release amd64 (20140416.2)
MachineType: Dell Inc. XPS13 9333
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.16.0-23-generic root=UUID=105bbbd1-365e-4063-bdca-fc5431faf5dc ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
UpgradeStatus: Upgraded to utopic on 2014-10-25 (2 days ago)
dmi.bios.date: 12/11/2013
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A02
dmi.board.name: 0GFTRT
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: 0.1
dmi.modalias: dmi:bvnDellInc.:bvrA02:bd12/11/2013:svnDellInc.:pnXPS139333:pvr:rvnDellInc.:rn0GFTRT:rvrA00:cvnDellInc.:ct8:cvr0.1:
dmi.product.name: XPS13 9333
dmi.sys.vendor: Dell Inc.
version.compiz: compiz N/A
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.56-1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.3.0-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.3.0-0ubuntu3
version.xserver-xorg-core: xserver-xorg-core 2:1.16.0-1ubuntu1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.9.0-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.4.0-2ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.914-1~exp1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.11-1ubuntu2
xserver.bootTime: Tue Oct 28 13:44:57 2014
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 4933
 vendor CMN
xserver.version: 2:1.16.0-1ubuntu1

Celian (r-launchpad-celian-dk) wrote :
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg (Ubuntu):
status: New → Confirmed
Damian Campbell (dcampbell305) wrote :

Affects me too.

Using Xubuntu. Graphics very slow on something as simple as the moving balls on the google search page.

I'm admittedly using an old machine (Dell Latitude D400) but some simple graphics operations are far far slower on 14.10 than with 14.04 or 12.04

fulepdavid (fulepdavid) wrote :

its crazy youtube and similar videos became enjoyless.
Video is slow and dashed

Stu Zhao (sao3) wrote :

Affects me too.

Google Chrome, Image Viewer, GVim, Gnome Terminal are all very slow.
Switching workspace to the above applications are very slow as well.

However, playing Team Fortress 2 on Steam works perfectly.

I am using System76 15.6" Gazelle Professional laptop with Intel High Definition Graphics 4600. Ubuntu Gnome 14.10 upgraded from 14.04

Eric Sorton (esorton) wrote :

Affects me too. I see identical behavior.

My system is a relatively newer Dell Optiplex 7010 with Integrated Intel graphics.

00:02.0 VGA compatible controller: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller (rev 09)

So far, it looks like everyone reporting the problem has Intel graphics.

Martin Wiebusch (mwiebusch78) wrote :

This bug affects me too. I have a Dell inspiron 1525 with intel graphics. I tried a fresh install but the problem persists.

Martin Wiebusch (mwiebusch78) wrote :

If the graphics driver is the problem, would it be possible/sensible to downgrade it to whatever version we had und 14.04? Does anyone know how to do this?

hvdr (hvdr) wrote :

After a 14.10 install from scratch (no update) with Gnome Shell on Intel 915 graphics (Lenovo S440), I still have the same issue. Most noticeable is the very slow text editing in gedit.
There is no issue when I use Unity, Gnome Classic or Xfce.

Dawid Lorenz (adlorenz) wrote :

My understanding is that the problem doesn't necessarily lie in Intel graphics driver, if that would be the case, sluggish performance would affect desktop as a whole, regardless of applications currently running. At the moment, my 14.10 Gnome desktop is perfectly smooth until I launch certain applications like Google Chrome or Image Viewer. Gedit also caused this issue until I upgraded it to 3.12.2 from gnome3-team's ppa - now runs without a hitch. That makes me think that these applications are rendered using different library/method which is not accelerated by graphics driver - that's how in laymans words I would describe my understanding of the case.

I have also reported #1385764 which has been marked as duplicated of this bug, where I explained the issue further.

Celian (r-launchpad-celian-dk) wrote :

I can confirm the observations made by Dawid Lorenz

I tried replicating the actions in the video he posted in his own bug report, and found the results to be the same.

- Opening the image viewer made desktop switching noticably slower.
- Launching Google Chrome brings about very noticable performance changes overall
- Upgrading my Gedit from 3.10 to 3.12 eliminated the issue with slow performance in the text editor

Video Link: http://www.youtube.com/watch?v=0LhKhdgKHiQ
Repository: https://launchpad.net/~gnome3-team/+archive/ubuntu/gnome3

Definitely seems that at least part of issue bight be in drawing/updating of gnome 3.10 applications

However, I've noticed:

- Opening a gnome terminal window (NB: Version 3.12) also brings about the sluggish performance in desktop switching

So I'm not sure the issue can be solely attributed to the the 3.10 vs. 3.12 changes.

Celian (r-launchpad-celian-dk) wrote :

Additionally, Rhythmbox 3.0.3 is itself and makes everything else, ie. the user interface painfully slow.

Only does this when the program visible, there is no problem when it's playing in the background (Alt-F4)

Changed in xorg (Ubuntu):
importance: Undecided → High
milton hagler (miltonh26) wrote :

Similar issue for my NVIDIA GeForce 610M Optimus hybrid graphics laptop. Xorg is working harder and taking more CPU % than in 14.04. Occasionally, the graphics hang with the HDD running. In 14.04 it also occurred but it tended to come back after 30 seconds or so. 14.10 takes longer and a couple times it hung completely and I had to crash the system using the power button.

Michael Schurter (schmichael) wrote :

I'm having the same issue - but only since upgrading from 14.04 to 14.10. I've been a long time gnome3-team ppa and gnome3 user.

The *big* difference I'm seeing is that it's not consistent. Maybe 1 out of 10 boots the UI is so sluggish it's unusable.

Otherwise my issues match everyone else's: once I open Chrome or switch virtual desktops, the UI starts crawling. Some games work fine, others play at less than 1 fps.

I'm on a sys76 w/ Intel Corporation Crystal Well Integrated Graphics Controller (rev 08) for graphics.

1 comments hidden view all 126 comments
Michael Schurter (schmichael) wrote :

Sorry for the double-post. Launchpad was giving me 500s and timeouts. Please delete this and one of the duplicate comments.

macsociety (tj-d) wrote :

Ubuntu Gnome 14.04 to 14.10. Slow switching between workspaces when certain apps are running. So far seems when Firefox and Evolution are running, switching between workspaces is very slow. Quit these apps and things speed up. Don't experience same issue if I run Epiphany instead of Firefox. So certain apps seem to be slow for workspace switching for me. TJ

Jared Stemen (jstemen) wrote :

My Wine based games are so much choppy after upgrading from 14.04 to 14.10.

I'm just running standard Ubuntu with Unity, upgraded from 14.04 to 14.10. Video playback is choppy from youtube, netflix, etc. I am experiencing some of the same problems as #17, switching between workspaces is slow on occasion. The worst problem is that the Dash is quite slow, it takes about 3 seconds to pop up after I press Super, when it used to be more or less instantaneous. And typing in the Dash search box takes about 1 second per letter.

My hardware is a desktop with Intel integrated graphics. It's not new (an i3 chip from several years ago) but I never had a problem with 14.04.

macsociety (tj-d) wrote :

OK, an oddity for me today I thought I would post.

I also had very slow UI since updating from Ubuntu Gnome 14.04 to 14.10. Workspace or window switching was slow as molasses. Seemed the two apps for me that made window switching real slow were Evolution and Firefox. Once I quit those things seemed normal.

I have been running my i7 based system from the Intel 4000 based on board graphics as I could not get my nVidia 750ti to work. Therefore I had BIOS set to use the on-board video.

Today I decided to set video back to PCI1 that my nVidia is connected to but leave the HDMI display connected to my on-board video. Took longer to boot but she did boot and guess what..... my system is running much faster UI now. Those problem apps from before that bogged down the workspace switching.... not doing it any more.

Really strange but for me.... the UI is peppy again.

I will run like this for a day or two to see what happens.

TJ

Tom (thomas-pietrzak) wrote :

Just updated from 14.04 and I have the issue. Tried the proprietary nvidia driver and the free one. I see no difference. I have Intel + Nvidia in an Asus laptop.

Affects me too.

Fresh install of Ubuntu 14.10 on brand new desktop computer with Intel integrated graphics. Launching directly gedit as only graphical application after boot, display freezes for a noticeable period of time (10-20 seconds) when editing with a mix of keyboard entry, keyboard shortcuts and mouse edition.

Gann Bierner (gann-pobox) wrote :

I see this too on my Thinkpad T410 (14.10 upgraded from 14.04). Chrome is particularly bad but, strangely, it's much worse when maximized. When not maximized, refresh is still slow but not as unbearable.

Seppe Lenders (seppe-lenders) wrote :

As suggested here: http://ubuntuforums.org/showthread.php?t=2249774, a workaround is to upgrade to gnome staging. The forum post suggests testing, but staging solved all problems for me:

sudo apt-add-repository ppa:gnome3-team/gnome3
sudo apt-add-repository ppa:gnome3-team/gnome3-staging
sudo apt-get update
sudo apt-get dist-upgrade

This can of course introduce other problems.

Celian (r-launchpad-celian-dk) wrote :

Can confirm that upgrading to 3.14 according to the instructions written here has seemingly fixed the issue for me:

http://www.webupd8.org/2014/10/how-to-install-gnome-314-in-ubuntu.html

Everything seems very responsive right now, vlc, rhythmbox, chrome, firefox, gedit and terminal.

Cannot say however what other consequences this may have had..

Sirocco (siroccco) wrote :

I have the same problem with two different notebooks with intel graphics after upgrade to 14.10. (Acer - Intel Core i3 380M - HD Graphics, Asus - Intel Core i3 3217U - HD Graphics 4000).
I use Ubuntu with Unity.

1 comments hidden view all 126 comments
Vsevolod Velichko (torkvemada) wrote :

Affects me too.

I have Unity and 14.10 upgraded from 14.04, Dell E7240 notebook with Core i7-4600U and integrated Intel Haswell-ULT video.
First the problem seemed to appear after upgrade when I decided to try unity8 and installed it packages (the graphics remained slow even when I was in classic Unity session), and everything disappeared, when I removed unity8.
Now the problem reappeared, and I found unity8 installed again. So I removed it with all the stuff depended on it and the is likely went away again.
WARNING: if anyone would try my method, it removes indicator-network. I myself prefer nm-applet, it requires network-manager-gnome to be installed.

dim_ov (dmyt-ov) wrote :

Guys, I fixed the issue by installing xserver-xorg-video-intel package.
It have been deleted during updating and system used the vmware driver, which is pretty slow

milton hagler (miltonh26) wrote :

I'm seeing xserver-xorg-video-intel already installed. It needed an update which I did. Currently, running kernel 3.16.0-24-generic and have been experiencing consistently many system hangs. Can move the mouse pointer, even flash videos continue playing because can hear the sound but the entire display is frozen. Seems to happen when the display is being stressed usually with a second monitor and under load. Couple days ago booted with 3.13.0-34-generic and the same thing happened. With 14.04, typically when freezes occurred if I waited a minute or 2 the system would recover and I didn't need to force a hard reboot. Using NVIDIA GeForce 610M Optimus hybrid graphics laptop and Bumblebee 3.2.1-5. Considering going back to 14.04.

seraus (seraus) wrote :

The problem described by Matthew Tucker-Simmons, affect me too on an acer 5742 g notebook with intel/nVidia drivers (Optimus).

The bash is very slow and it take more than a second to type a letter in the search box.

Moreover: when I use Gnome Shell and stast gnome monitor, a CPU core is always at 49%-50%

Considering going back to 14.04 where everything was OK

Seth (seedifferently) wrote :

I was experiencing something very similar to this and stumbled across https://bugs.launchpad.net/ubuntu/+source/gedit/+bug/1376494 which suggested installing ibus-gtk.

1. sudo apt-get install ibus-gtk
2. reboot

Now my gedit seems to work fine.

HTH

Martin Smid (qwesp) wrote :

This affects me too on Ubuntu Gnome 14.10 with Lenovo Yoga 13 and Intel HD 4000. Basic gnome animations are slow, or better said, they always get at least one lag during animation. I have to say that I played with unity and unity8, then uninstalled it.
ibus-gtk was installed so this was no fix for me. I am going to try Gnome Shell staging as suggested. Wanted to try it before anyway...

Matriks (matriks) wrote :

useful info for owners intel cards with i915 driver - i managed to resolve the issue with video lags by driver (installing xserver-xorg-video-intel) from https://launchpad.net/~xorg-edgers/+archive/ubuntu/ppa/+packages?field.name_filter=intel&field.status_filter=published&field.series_filter=
now all works smoothly and fast, similarly to 14.04

Marius Hofert (marius-hofert) wrote :

Just to add: http://askubuntu.com/questions/540964/upgraded-to-ubuntu-14-10-and-everything-lags?noredirect=1#comment743103_540964 and the link to another Askubuntu question of this sort.
Very annoying this topic. I can't really work anymore (Lenovo X1 Carbon; upgraded from 14.04 to 14.10)

no longer affects: xorg-server
Hardkorova (hardkorova) wrote :

Same thing on the HP's Chromebook 14 on Intel, on the latest kernels (3.17-3.18). It happens after couple of hours of work or moments with high CPU load. Bug brings slow redrawing in Opera (presto) and Chromium, but Firefox refreshing stays smooth. Also, appears a high CPU consumption by XOrg, when browsers are opened.

Martin Smid (qwesp) wrote :

After installing gnome-staging, gnome stopped to lag. However, my wine games are very slow. Not sure if this is related to same problem, or other problem from upgrade.

nouha (nouhawannessi) wrote :

same thing to me, vaio, nvidia geforce
but not directly after upgrading !
after upgrade it seems good... however i forgot my laptop not unplugged, battery is down. When i restart it, i found everything is tooo slow makes me little bit crazy :/
what to do?

ajithmemana (ajithmemana) wrote :

Occurs with me also.
Asus X553 MA Notebook.
Intel HD Graphics 4000, Baytrail 3530 processor.
Browser/Image viewer etc behaving too much slow and unusable.

Rob Ludwick (rcludw) wrote :

Radeon 7730M using the i915 driver.

00:02.0 VGA compatible controller [0300]: Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09)
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Chelsea LP [Radeon HD 7730M] [1002:682f] (rev ff)

After upgrading to 14.10 tonight, I noticed a slowdown especially while using totem. I was getting about 0.2 frames per second using totem. VLC appeared to run but was choppy at larger resolutions.

Other than totem, the primary symptom was sluggishness. It took 1 second for gnome-shell to react to selecting and dragging a gnome-terminal that was in the background behind chrome.

After the upgrade, the kernel appeared to be running the i915 module (as seen by lshw -c video). ibus-gtk was already installed, so it wasn't that either.

Then I installed the edger's xserver ppa. This helped both gnome-shell and totem, considerably.

Videos actually ran for a second or two at a time, but were still choppy in totem. What appeared to be happening was that gnome-shell would spike the cpu going to 80% when totem was running. Gnome-shell was more responsive but still sluggish using the edgers xserver. Dragging a gnome-terminal in the background still took around a second for gnome to respond.

Then I installed gnome-staging ppa. This helped the most, eliminating the gnome-shell cpu spike while playing totem, and making the windows much more responsive including dragging a gnome-terminal that was in the background.

So it looked like both things helped to varying degrees. I got a better totem frame rate using the edgers x server. But gnome-staging gave me a better gnome-shell performance.

Timo Aaltonen (tjaalton) on 2015-01-29
Changed in xorg (Ubuntu):
status: Confirmed → Invalid
Mike (michael-vm) on 2015-01-29
Changed in xorg (Ubuntu):
status: Invalid → New
Changed in xorg (Ubuntu):
status: New → Confirmed
Changed in ubuntu-gnome:
status: New → Confirmed
tags: added: bios-outdated-a06
no longer affects: xorg (Ubuntu)
46 comments hidden view all 126 comments
vincegata (vincegata) wrote :

Sadly, it's slow for me as well.

I completely removed my 12.04 LTS, re-organized partitions, then freshly installed 14.10, now Chromium and Gedit are running unbearably slow. I have Dell Latitude E6510 with 560 M processor and integrated Intel GMA HD graphics card. I sure did not have this issue with 12.04.

I remember version 10.04 did not support the 1080p resolution on Intel integrated gfx, it took awhile for a fix to come out.

Not sure what to say or think about this either, Ubuntu is trying to be "the desktop distro" but with such bug...!? There are lots of laptops out there with Intel integrated graphics.

vincegata (vincegata) wrote :

This is not only in Ubuntu GNOME, Chromium runs equally slow in Unity and fallback mode.

gustden (deg) wrote :

I agree with vincegata.

This bug makes the current version of Ubuntu unusable on a large percentage of the hardware out there. Yet, it sits with an importance of "undecided" and "unassigned". What does it take to be rated a high importance and get someone looking at this?

This is really unacceptable for a distribution that is trying to make a presence in the desktop space.

sevak (sasadorian) wrote :

Lenovo G460
Running 14.10
Intel Ironlake Mobile graphics

No issues with previous distributions, but for some reason in 14.10, Chrome browser lags. Huge lag. From videos, scrolling up/down on a wiki page, to app. animation (creating a new tab, hitting the plus sign, the new tab bar lags during draw())

However, oddly enough, I play 720p, 1080p movies with ease (no lag, no chopping, all good). Something doesnt add up.

Sounds like a Chrome problem? I dont know, but I doubt its Chrome at this point. (Chrome version: 41.0.2272.76 (64-bit))

anyone with a similar pc? similar video card? with a solution?

JA (jeanalain-re) wrote :

Hi,
I have a DELL E6510 and since the upgrade to 14.10, Chrome is also very slow and Atom (based on Chronium). I can't use it.

Processor: Intel® Core™ i5 CPU M 560 @ 2.67GHz × 4
Graphics card : Intel® Ironlake Mobile

philipp_023 (somalier) wrote :

Hi, I've a HP Elitebook 8440p running Ubuntu 14.10 fresh installation. Chrome is very slow (I switched off hardware acceleration, otherwise I can't use it), Unity dash is slow, Netbeans is slow. General Window resize is slow. Can not play videos. To fix this issue I installed: "xorg-edgers fresh X crack" - no success; I tried: ppa:gnome3-team/gnome3(-staging) - did not help; intel acceleration mode: sna, uxa, glamor, no success, I tried fresh Kernel 3.19 nothing, updated my BIOS, no change. My system stays slow. I'm using Ubuntu since years and it's the first time I stuck in an issue - anyway - please let me know if you need further information - I'd like to help to get this issue solved! Thanks, Philipp

Download full text (5.3 KiB)

ditto for the most part (ppa:gnome3-team/gnome3(-staging), updated video
drivers, reinstalled 14.10)...

On Mon, Mar 9, 2015 at 12:01 PM, philipp_023 <email address hidden> wrote:

> Hi, I've a HP Elitebook 8440p running Ubuntu 14.10 fresh installation.
> Chrome is very slow (I switched off hardware acceleration, otherwise I
> can't use it), Unity dash is slow, Netbeans is slow. General Window
> resize is slow. Can not play videos. To fix this issue I installed:
> "xorg-edgers fresh X crack" - no success; I tried:
> ppa:gnome3-team/gnome3(-staging) - did not help; intel acceleration
> mode: sna, uxa, glamor, no success, I tried fresh Kernel 3.19 nothing,
> updated my BIOS, no change. My system stays slow. I'm using Ubuntu since
> years and it's the first time I stuck in an issue - anyway - please let
> me know if you need further information - I'd like to help to get this
> issue solved! Thanks, Philipp
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1386721
>
> Title:
> Graphics Slow After Upgrade 14.04 - 14.10
>
> Status in Ubuntu GNOME:
> Confirmed
>
> Bug description:
> Using Gnome Ubuntu 14.10, Dell XPS 13, intel 915 Graphics
>
> After upgrading from 14.04 to 14.10 there are a lot of places where
> the graphics are working much slower than they were before:
>
> - Gnome Shell Interface is very sluggish, visible "chops" (redrawing)
> when pressing the [Super] key.
>
> - Selecting text in Gedit takes a full second pr. line
>
> Experiences some subjective improvement when I booted kernel 3.13.0-37
> instead of 3.16.0-23, but that may be my imagination as the problem
> persists.
>
> I've searched google, forums, found a couple of relevant links that
> point to the issue being the Intel drivers.
>
> http://askubuntu.com/questions/53962...E2%86%92-14-10
> http://www.webupd8.org/2014/10/ubunt...ent-1652086424
>
> But the drivers currently in 14.10 should be newer than those supplied
> by Intel to 14.04 so that doesn't make sense to me. As one Intel
> developer wrote:
>
> "I would like to point out that since what we do is bring more ecent
> versions of the software to the target distributions than they ship
> with, a 14.04 targeted installer is unlikely to bring much to a 14.10
> installation, which most likely has the same or more recent versions
> already anyway."
>
> Source: https://01.org/linuxgraphics/node/375
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.10
> Package: xorg 1:7.7+7ubuntu2
> ProcVersionSignature: Ubuntu 3.16.0-23.31-generic 3.16.4
> Uname: Linux 3.16.0-23-generic x86_64
> ApportVersion: 2.14.7-0ubuntu8
> Architecture: amd64
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: None
> CurrentDesktop: GNOME
> Date: Tue Oct 28 15:24:30 2014
> DistUpgraded: 2014-10-25 20:59:36,052 DEBUG enabling apt cron job
> DistroCodename: utopic
> DistroVariant: ubuntu
> DkmsStatus: i915-3.15-3.13, 0.01, 3.13.0-37-generic, x86_64: installed
> ExtraDebuggingInterest: Yes, if not too technical
> GraphicsCard:
> Intel...

Read more...

sevak (sasadorian) wrote :

ditto for the most part (ppa:gnome3-team/gnome3(-staging), different video drivers, reinstalled 14.10)

Let me know if you need info as well. I want my Ubuntu back the way it was (blazing-fast).

philipp_023 (somalier) wrote :

My system speed got much better after disabling bootloader graphics, VESA framebuffer driver and PAT memory in xdiagnose. As a result Chrome is running fine hardware accelerated, unity dash is back on normal speed, my system plays videos in full hd. Also my general system load is much lower now. Maybe this solution works for you as well.

JA (jeanalain-re) wrote :

Thanks philipp_023, it is better for me.

Jack Kelly (jack-list) wrote :

Thanks philipp_023, that appears to fix the problem for me too!

Sergey (gansbrest) wrote :

Yep philipp_023 suggested solution that worked for me as well after reboot. ATI Radeon HD card here.

sevak (sasadorian) wrote :

ditto.
philipp_023 suggestion worked for me as well.
chrome is blazing fast once again and videos are not lagging/choppy in the browser. back to normal.

Leonardo (lbrito) wrote :

Same problem here, specifically with Chrome/Chromium. As others reported, there is visible flickering when scrolling or loading a page. Other programs work fine (e.g. Firefox). Tried philipp_023's solution; no luck.

Logan Fleur (ldfleur) wrote :
Download full text (4.8 KiB)

philipp_023's fix didn't work for me either, running on i915. Chrome and
video playback are still very slow and flickering occurs while playing HD
video back.

On Wed, 25 Mar 2015 01:10 Leonardo <email address hidden> wrote:

> Same problem here, specifically with Chrome/Chromium. As others
> reported, there is visible flickering when scrolling or loading a page.
> Other programs work fine (e.g. Firefox). Tried philipp_023's solution;
> no luck.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1386721
>
> Title:
> Graphics Slow After Upgrade 14.04 - 14.10
>
> Status in Ubuntu GNOME:
> Confirmed
>
> Bug description:
> Using Gnome Ubuntu 14.10, Dell XPS 13, intel 915 Graphics
>
> After upgrading from 14.04 to 14.10 there are a lot of places where
> the graphics are working much slower than they were before:
>
> - Gnome Shell Interface is very sluggish, visible "chops" (redrawing)
> when pressing the [Super] key.
>
> - Selecting text in Gedit takes a full second pr. line
>
> Experiences some subjective improvement when I booted kernel 3.13.0-37
> instead of 3.16.0-23, but that may be my imagination as the problem
> persists.
>
> I've searched google, forums, found a couple of relevant links that
> point to the issue being the Intel drivers.
>
> http://askubuntu.com/questions/53962...E2%86%92-14-10
> http://www.webupd8.org/2014/10/ubunt...ent-1652086424
>
> But the drivers currently in 14.10 should be newer than those supplied
> by Intel to 14.04 so that doesn't make sense to me. As one Intel
> developer wrote:
>
> "I would like to point out that since what we do is bring more ecent
> versions of the software to the target distributions than they ship
> with, a 14.04 targeted installer is unlikely to bring much to a 14.10
> installation, which most likely has the same or more recent versions
> already anyway."
>
> Source: https://01.org/linuxgraphics/node/375
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.10
> Package: xorg 1:7.7+7ubuntu2
> ProcVersionSignature: Ubuntu 3.16.0-23.31-generic 3.16.4
> Uname: Linux 3.16.0-23-generic x86_64
> ApportVersion: 2.14.7-0ubuntu8
> Architecture: amd64
> CompizPlugins: No value set for `/apps/compiz-1/general/
> screen0/options/active_plugins'
> CompositorRunning: None
> CurrentDesktop: GNOME
> Date: Tue Oct 28 15:24:30 2014
> DistUpgraded: 2014-10-25 20:59:36,052 DEBUG enabling apt cron job
> DistroCodename: utopic
> DistroVariant: ubuntu
> DkmsStatus: i915-3.15-3.13, 0.01, 3.13.0-37-generic, x86_64: installed
> ExtraDebuggingInterest: Yes, if not too technical
> GraphicsCard:
> Intel Corporation Haswell-ULT Integrated Graphics Controller
> [8086:0a16] (rev 09) (prog-if 00 [VGA controller])
> Subsystem: Dell Device [1028:060a]
> InstallationDate: Installed on 2014-06-14 (135 days ago)
> InstallationMedia: Ubuntu-GNOME 14.04 LTS "Trusty Tahr" - Release amd64
> (20140416.2)
> MachineType: Dell Inc. XPS13 9333
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.16.0-23-generic
> root=UUID=105bbbd1-365e-4063-bdca-fc5431faf5dc ro quiet spla...

Read more...

Sergey (gansbrest) wrote :

Initially I wrote that philipp_023 helped, but it helped only for one boot, then it was slow again for some reason regardless of bootloader graphics, VESA framebuffer driver and PAT memory checkobxes in xdiagnose.. Problem still here, very annoying!!!

sevak (sasadorian) wrote :
Download full text (4.7 KiB)

when is the next build due for release?

On Tue, Mar 31, 2015 at 5:57 AM, Sergey <email address hidden> wrote:

> Initially I wrote that philipp_023 helped, but it helped only for one
> boot, then it was slow again for some reason regardless of bootloader
> graphics, VESA framebuffer driver and PAT memory checkobxes in
> xdiagnose.. Problem still here, very annoying!!!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1386721
>
> Title:
> Graphics Slow After Upgrade 14.04 - 14.10
>
> Status in Ubuntu GNOME:
> Confirmed
>
> Bug description:
> Using Gnome Ubuntu 14.10, Dell XPS 13, intel 915 Graphics
>
> After upgrading from 14.04 to 14.10 there are a lot of places where
> the graphics are working much slower than they were before:
>
> - Gnome Shell Interface is very sluggish, visible "chops" (redrawing)
> when pressing the [Super] key.
>
> - Selecting text in Gedit takes a full second pr. line
>
> Experiences some subjective improvement when I booted kernel 3.13.0-37
> instead of 3.16.0-23, but that may be my imagination as the problem
> persists.
>
> I've searched google, forums, found a couple of relevant links that
> point to the issue being the Intel drivers.
>
> http://askubuntu.com/questions/53962...E2%86%92-14-10
> http://www.webupd8.org/2014/10/ubunt...ent-1652086424
>
> But the drivers currently in 14.10 should be newer than those supplied
> by Intel to 14.04 so that doesn't make sense to me. As one Intel
> developer wrote:
>
> "I would like to point out that since what we do is bring more ecent
> versions of the software to the target distributions than they ship
> with, a 14.04 targeted installer is unlikely to bring much to a 14.10
> installation, which most likely has the same or more recent versions
> already anyway."
>
> Source: https://01.org/linuxgraphics/node/375
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.10
> Package: xorg 1:7.7+7ubuntu2
> ProcVersionSignature: Ubuntu 3.16.0-23.31-generic 3.16.4
> Uname: Linux 3.16.0-23-generic x86_64
> ApportVersion: 2.14.7-0ubuntu8
> Architecture: amd64
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: None
> CurrentDesktop: GNOME
> Date: Tue Oct 28 15:24:30 2014
> DistUpgraded: 2014-10-25 20:59:36,052 DEBUG enabling apt cron job
> DistroCodename: utopic
> DistroVariant: ubuntu
> DkmsStatus: i915-3.15-3.13, 0.01, 3.13.0-37-generic, x86_64: installed
> ExtraDebuggingInterest: Yes, if not too technical
> GraphicsCard:
> Intel Corporation Haswell-ULT Integrated Graphics Controller
> [8086:0a16] (rev 09) (prog-if 00 [VGA controller])
> Subsystem: Dell Device [1028:060a]
> InstallationDate: Installed on 2014-06-14 (135 days ago)
> InstallationMedia: Ubuntu-GNOME 14.04 LTS "Trusty Tahr" - Release amd64
> (20140416.2)
> MachineType: Dell Inc. XPS13 9333
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.16.0-23-generic
> root=UUID=105bbbd1-365e-4063-bdca-fc5431faf5dc ro quiet splash vt.handoff=7
> SourcePackage: xorg
> Symptom: display
> Upgr...

Read more...

Bruce Pieterse (octoquad) wrote :

After upgrading from 14.10 to 15.04, there seems to be better performance. Things aren't as slow and choppy as before. It's possible that this issue has been fixed in Vivid Vervet (15.04) and those who are suffering from this and are able to test and confirm, please share your findings here.

Thanks.

Logan Fleur (ldfleur) wrote :
Download full text (5.0 KiB)

I've updated to 15.04 this morning, and the performance after installing
the normal updates was still poor. I didn't attempt using the staging
updates, or the latest xserver-xorg-video-intel update, and instead
downgraded to 14.04.2 in the meanwhile.

On Tue, 31 Mar 2015 18:35 Bruce Pieterse <email address hidden> wrote:

> After upgrading from 14.10 to 15.04, there seems to be better
> performance. Things aren't as slow and choppy as before. It's possible
> that this issue has been fixed in Vivid Vervet (15.04) and those who are
> suffering from this and are able to test and confirm, please share your
> findings here.
>
> Thanks.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1386721
>
> Title:
> Graphics Slow After Upgrade 14.04 - 14.10
>
> Status in Ubuntu GNOME:
> Confirmed
>
> Bug description:
> Using Gnome Ubuntu 14.10, Dell XPS 13, intel 915 Graphics
>
> After upgrading from 14.04 to 14.10 there are a lot of places where
> the graphics are working much slower than they were before:
>
> - Gnome Shell Interface is very sluggish, visible "chops" (redrawing)
> when pressing the [Super] key.
>
> - Selecting text in Gedit takes a full second pr. line
>
> Experiences some subjective improvement when I booted kernel 3.13.0-37
> instead of 3.16.0-23, but that may be my imagination as the problem
> persists.
>
> I've searched google, forums, found a couple of relevant links that
> point to the issue being the Intel drivers.
>
> http://askubuntu.com/questions/53962...E2%86%92-14-10
> http://www.webupd8.org/2014/10/ubunt...ent-1652086424
>
> But the drivers currently in 14.10 should be newer than those supplied
> by Intel to 14.04 so that doesn't make sense to me. As one Intel
> developer wrote:
>
> "I would like to point out that since what we do is bring more ecent
> versions of the software to the target distributions than they ship
> with, a 14.04 targeted installer is unlikely to bring much to a 14.10
> installation, which most likely has the same or more recent versions
> already anyway."
>
> Source: https://01.org/linuxgraphics/node/375
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.10
> Package: xorg 1:7.7+7ubuntu2
> ProcVersionSignature: Ubuntu 3.16.0-23.31-generic 3.16.4
> Uname: Linux 3.16.0-23-generic x86_64
> ApportVersion: 2.14.7-0ubuntu8
> Architecture: amd64
> CompizPlugins: No value set for `/apps/compiz-1/general/
> screen0/options/active_plugins'
> CompositorRunning: None
> CurrentDesktop: GNOME
> Date: Tue Oct 28 15:24:30 2014
> DistUpgraded: 2014-10-25 20:59:36,052 DEBUG enabling apt cron job
> DistroCodename: utopic
> DistroVariant: ubuntu
> DkmsStatus: i915-3.15-3.13, 0.01, 3.13.0-37-generic, x86_64: installed
> ExtraDebuggingInterest: Yes, if not too technical
> GraphicsCard:
> Intel Corporation Haswell-ULT Integrated Graphics Controller
> [8086:0a16] (rev 09) (prog-if 00 [VGA controller])
> Subsystem: Dell Device [1028:060a]
> InstallationDate: Installed on 2014-06-14 (135 days ago)
> InstallationMedia: Ubuntu-GNOME 14.04 LTS "Trusty Tahr" - Release ...

Read more...

1 comments hidden view all 126 comments
Mauro (mauro1370) wrote :

Thanks a lot philipp_023 !! works likea charm !!

sevak (sasadorian) wrote :
Download full text (4.9 KiB)

Mauro:

in a terminal, run: "sudo xdiagnose"
this will come up (see image):
http://screenshots.ubuntu.com/screenshots/x/xdiagnose/9907_large.png
uncheck everything in "workaround", click apply. done.

restart your computer and you should see a performance gain.

On Thu, Apr 2, 2015 at 12:57 PM, Mauro <email address hidden> wrote:

> philipp_023 could you explain (step by step) how you did what you did ?
> #95 I'm a beginner with ubuntu, and I didn't manage to solve the
> graphics problem with any of the other solutions.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1386721
>
> Title:
> Graphics Slow After Upgrade 14.04 - 14.10
>
> Status in Ubuntu GNOME:
> Confirmed
>
> Bug description:
> Using Gnome Ubuntu 14.10, Dell XPS 13, intel 915 Graphics
>
> After upgrading from 14.04 to 14.10 there are a lot of places where
> the graphics are working much slower than they were before:
>
> - Gnome Shell Interface is very sluggish, visible "chops" (redrawing)
> when pressing the [Super] key.
>
> - Selecting text in Gedit takes a full second pr. line
>
> Experiences some subjective improvement when I booted kernel 3.13.0-37
> instead of 3.16.0-23, but that may be my imagination as the problem
> persists.
>
> I've searched google, forums, found a couple of relevant links that
> point to the issue being the Intel drivers.
>
> http://askubuntu.com/questions/53962...E2%86%92-14-10
> http://www.webupd8.org/2014/10/ubunt...ent-1652086424
>
> But the drivers currently in 14.10 should be newer than those supplied
> by Intel to 14.04 so that doesn't make sense to me. As one Intel
> developer wrote:
>
> "I would like to point out that since what we do is bring more ecent
> versions of the software to the target distributions than they ship
> with, a 14.04 targeted installer is unlikely to bring much to a 14.10
> installation, which most likely has the same or more recent versions
> already anyway."
>
> Source: https://01.org/linuxgraphics/node/375
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.10
> Package: xorg 1:7.7+7ubuntu2
> ProcVersionSignature: Ubuntu 3.16.0-23.31-generic 3.16.4
> Uname: Linux 3.16.0-23-generic x86_64
> ApportVersion: 2.14.7-0ubuntu8
> Architecture: amd64
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: None
> CurrentDesktop: GNOME
> Date: Tue Oct 28 15:24:30 2014
> DistUpgraded: 2014-10-25 20:59:36,052 DEBUG enabling apt cron job
> DistroCodename: utopic
> DistroVariant: ubuntu
> DkmsStatus: i915-3.15-3.13, 0.01, 3.13.0-37-generic, x86_64: installed
> ExtraDebuggingInterest: Yes, if not too technical
> GraphicsCard:
> Intel Corporation Haswell-ULT Integrated Graphics Controller
> [8086:0a16] (rev 09) (prog-if 00 [VGA controller])
> Subsystem: Dell Device [1028:060a]
> InstallationDate: Installed on 2014-06-14 (135 days ago)
> InstallationMedia: Ubuntu-GNOME 14.04 LTS "Trusty Tahr" - Release amd64
> (20140416.2)
> MachineType: Dell Inc. XPS13 9333
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3...

Read more...

sevak (sasadorian) wrote :
Download full text (4.5 KiB)

lol thx

On Thu, Apr 2, 2015 at 1:48 PM, Mauro <email address hidden> wrote:

> Thanks a lot philipp_023 !! works likea charm !!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1386721
>
> Title:
> Graphics Slow After Upgrade 14.04 - 14.10
>
> Status in Ubuntu GNOME:
> Confirmed
>
> Bug description:
> Using Gnome Ubuntu 14.10, Dell XPS 13, intel 915 Graphics
>
> After upgrading from 14.04 to 14.10 there are a lot of places where
> the graphics are working much slower than they were before:
>
> - Gnome Shell Interface is very sluggish, visible "chops" (redrawing)
> when pressing the [Super] key.
>
> - Selecting text in Gedit takes a full second pr. line
>
> Experiences some subjective improvement when I booted kernel 3.13.0-37
> instead of 3.16.0-23, but that may be my imagination as the problem
> persists.
>
> I've searched google, forums, found a couple of relevant links that
> point to the issue being the Intel drivers.
>
> http://askubuntu.com/questions/53962...E2%86%92-14-10
> http://www.webupd8.org/2014/10/ubunt...ent-1652086424
>
> But the drivers currently in 14.10 should be newer than those supplied
> by Intel to 14.04 so that doesn't make sense to me. As one Intel
> developer wrote:
>
> "I would like to point out that since what we do is bring more ecent
> versions of the software to the target distributions than they ship
> with, a 14.04 targeted installer is unlikely to bring much to a 14.10
> installation, which most likely has the same or more recent versions
> already anyway."
>
> Source: https://01.org/linuxgraphics/node/375
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.10
> Package: xorg 1:7.7+7ubuntu2
> ProcVersionSignature: Ubuntu 3.16.0-23.31-generic 3.16.4
> Uname: Linux 3.16.0-23-generic x86_64
> ApportVersion: 2.14.7-0ubuntu8
> Architecture: amd64
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: None
> CurrentDesktop: GNOME
> Date: Tue Oct 28 15:24:30 2014
> DistUpgraded: 2014-10-25 20:59:36,052 DEBUG enabling apt cron job
> DistroCodename: utopic
> DistroVariant: ubuntu
> DkmsStatus: i915-3.15-3.13, 0.01, 3.13.0-37-generic, x86_64: installed
> ExtraDebuggingInterest: Yes, if not too technical
> GraphicsCard:
> Intel Corporation Haswell-ULT Integrated Graphics Controller
> [8086:0a16] (rev 09) (prog-if 00 [VGA controller])
> Subsystem: Dell Device [1028:060a]
> InstallationDate: Installed on 2014-06-14 (135 days ago)
> InstallationMedia: Ubuntu-GNOME 14.04 LTS "Trusty Tahr" - Release amd64
> (20140416.2)
> MachineType: Dell Inc. XPS13 9333
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.16.0-23-generic
> root=UUID=105bbbd1-365e-4063-bdca-fc5431faf5dc ro quiet splash vt.handoff=7
> SourcePackage: xorg
> Symptom: display
> UpgradeStatus: Upgraded to utopic on 2014-10-25 (2 days ago)
> dmi.bios.date: 12/11/2013
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: A02
> dmi.board.name: 0GFTRT
> dmi.board.vendor: Dell Inc.
> dmi.board.version: A00
> dmi.chassis.type...

Read more...

Logan Fleur (ldfleur) wrote :
Download full text (9.5 KiB)

I think you meant to check those boxes, since that's what philipp_023 said
in his fix:
"My system speed got much better after disabling bootloader graphics, VESA
framebuffer driver and PAT memory in xdiagnose."
If you've unchecked everything, then the fix is not the cause of increases
in performance.

On Thu, 2 Apr 2015 23:11 sevak <email address hidden> wrote:

> lol thx
>
> On Thu, Apr 2, 2015 at 1:48 PM, Mauro <email address hidden> wrote:
>
> > Thanks a lot philipp_023 !! works likea charm !!
> >
> > --
> > You received this bug notification because you are subscribed to the bug
> > report.
> > https://bugs.launchpad.net/bugs/1386721
> >
> > Title:
> > Graphics Slow After Upgrade 14.04 - 14.10
> >
> > Status in Ubuntu GNOME:
> > Confirmed
> >
> > Bug description:
> > Using Gnome Ubuntu 14.10, Dell XPS 13, intel 915 Graphics
> >
> > After upgrading from 14.04 to 14.10 there are a lot of places where
> > the graphics are working much slower than they were before:
> >
> > - Gnome Shell Interface is very sluggish, visible "chops" (redrawing)
> > when pressing the [Super] key.
> >
> > - Selecting text in Gedit takes a full second pr. line
> >
> > Experiences some subjective improvement when I booted kernel 3.13.0-37
> > instead of 3.16.0-23, but that may be my imagination as the problem
> > persists.
> >
> > I've searched google, forums, found a couple of relevant links that
> > point to the issue being the Intel drivers.
> >
> > http://askubuntu.com/questions/53962...E2%86%92-14-10
> > http://www.webupd8.org/2014/10/ubunt...ent-1652086424
> >
> > But the drivers currently in 14.10 should be newer than those supplied
> > by Intel to 14.04 so that doesn't make sense to me. As one Intel
> > developer wrote:
> >
> > "I would like to point out that since what we do is bring more ecent
> > versions of the software to the target distributions than they ship
> > with, a 14.04 targeted installer is unlikely to bring much to a 14.10
> > installation, which most likely has the same or more recent versions
> > already anyway."
> >
> > Source: https://01.org/linuxgraphics/node/375
> >
> > ProblemType: Bug
> > DistroRelease: Ubuntu 14.10
> > Package: xorg 1:7.7+7ubuntu2
> > ProcVersionSignature: Ubuntu 3.16.0-23.31-generic 3.16.4
> > Uname: Linux 3.16.0-23-generic x86_64
> > ApportVersion: 2.14.7-0ubuntu8
> > Architecture: amd64
> > CompizPlugins: No value set for
> > `/apps/compiz-1/general/screen0/options/active_plugins'
> > CompositorRunning: None
> > CurrentDesktop: GNOME
> > Date: Tue Oct 28 15:24:30 2014
> > DistUpgraded: 2014-10-25 20:59:36,052 DEBUG enabling apt cron job
> > DistroCodename: utopic
> > DistroVariant: ubuntu
> > DkmsStatus: i915-3.15-3.13, 0.01, 3.13.0-37-generic, x86_64: installed
> > ExtraDebuggingInterest: Yes, if not too technical
> > GraphicsCard:
> > Intel Corporation Haswell-ULT Integrated Graphics Controller
> > [8086:0a16] (rev 09) (prog-if 00 [VGA controller])
> > Subsystem: Dell Device [1028:060a]
> > InstallationDate: Installed on 2014-06-14 (135 days ago)
> > InstallationMedia: Ubuntu-GNOME 14.04 LTS "Trusty Tahr" - Relea...

Read more...

sevak (sasadorian) wrote :
Download full text (14.4 KiB)

check*
thx Logan

On Thu, Apr 2, 2015 at 2:20 PM, Logan Fleur <email address hidden> wrote:

> I think you meant to check those boxes, since that's what philipp_023 said
> in his fix:
> "My system speed got much better after disabling bootloader graphics, VESA
> framebuffer driver and PAT memory in xdiagnose."
> If you've unchecked everything, then the fix is not the cause of increases
> in performance.
>
> On Thu, 2 Apr 2015 23:11 sevak <email address hidden> wrote:
>
> > lol thx
> >
> > On Thu, Apr 2, 2015 at 1:48 PM, Mauro <email address hidden> wrote:
> >
> > > Thanks a lot philipp_023 !! works likea charm !!
> > >
> > > --
> > > You received this bug notification because you are subscribed to the
> bug
> > > report.
> > > https://bugs.launchpad.net/bugs/1386721
> > >
> > > Title:
> > > Graphics Slow After Upgrade 14.04 - 14.10
> > >
> > > Status in Ubuntu GNOME:
> > > Confirmed
> > >
> > > Bug description:
> > > Using Gnome Ubuntu 14.10, Dell XPS 13, intel 915 Graphics
> > >
> > > After upgrading from 14.04 to 14.10 there are a lot of places where
> > > the graphics are working much slower than they were before:
> > >
> > > - Gnome Shell Interface is very sluggish, visible "chops" (redrawing)
> > > when pressing the [Super] key.
> > >
> > > - Selecting text in Gedit takes a full second pr. line
> > >
> > > Experiences some subjective improvement when I booted kernel
> 3.13.0-37
> > > instead of 3.16.0-23, but that may be my imagination as the problem
> > > persists.
> > >
> > > I've searched google, forums, found a couple of relevant links that
> > > point to the issue being the Intel drivers.
> > >
> > > http://askubuntu.com/questions/53962...E2%86%92-14-10
> > > http://www.webupd8.org/2014/10/ubunt...ent-1652086424
> > >
> > > But the drivers currently in 14.10 should be newer than those
> supplied
> > > by Intel to 14.04 so that doesn't make sense to me. As one Intel
> > > developer wrote:
> > >
> > > "I would like to point out that since what we do is bring more ecent
> > > versions of the software to the target distributions than they ship
> > > with, a 14.04 targeted installer is unlikely to bring much to a 14.10
> > > installation, which most likely has the same or more recent versions
> > > already anyway."
> > >
> > > Source: https://01.org/linuxgraphics/node/375
> > >
> > > ProblemType: Bug
> > > DistroRelease: Ubuntu 14.10
> > > Package: xorg 1:7.7+7ubuntu2
> > > ProcVersionSignature: Ubuntu 3.16.0-23.31-generic 3.16.4
> > > Uname: Linux 3.16.0-23-generic x86_64
> > > ApportVersion: 2.14.7-0ubuntu8
> > > Architecture: amd64
> > > CompizPlugins: No value set for
> > > `/apps/compiz-1/general/screen0/options/active_plugins'
> > > CompositorRunning: None
> > > CurrentDesktop: GNOME
> > > Date: Tue Oct 28 15:24:30 2014
> > > DistUpgraded: 2014-10-25 20:59:36,052 DEBUG enabling apt cron job
> > > DistroCodename: utopic
> > > DistroVariant: ubuntu
> > > DkmsStatus: i915-3.15-3.13, 0.01, 3.13.0-37-generic, x86_64:
> installed
> > > ExtraDebuggingInterest: Yes, if not too technical
> > > GraphicsCard:
> > > Intel Corporation Haswell-ULT Integrated...

Aaron Browne (podge) wrote :

I can confirm that the workaround provided by philipp_023 works for me. Graphics and system performance are very good now.

Previously, I had downloaded the latest Intel Drivers (https://01.org/linuxgraphics/downloads) and only saw a small speed increase.

00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 02) (prog-if 00 [VGA controller])

tags: added: vivid
Bruce Pieterse (octoquad) wrote :

I found a similar bug #1314587 but for unity, perhaps X.org is the culprit here. I still get this occasionally, although I'm using the fglrx driver.

I tried disabling PAT memory in xdiagnose only, rebooted and then got the exact same performance as the original reporter. After reverting the change everything was ok, but as I mentioned before, I still get poor performance from time to time.

Lito (lito-eordes) wrote :

Same here (Toshiba Z930 i5) with proprietary Intel driver (1.0.8) on HD 4000 but in other computer (Toshiba Z930 i7) with HD 4400 works perfect.

philipp_023 solution doesn't work. Any solution worked.

I think that is a very important bug and can't be without solve during 6 months.

Logan Fleur (ldfleur) wrote :
Download full text (4.9 KiB)

Lito: Did you find a solution that worked for you? Or did nothing work,
even after installing the latest builds from xorg-edgers and gnome3-staging?

On Wed, 15 Apr 2015 14:20 Lito <email address hidden> wrote:

> Same here (Toshiba Z930 i5) with proprietary Intel driver (1.0.8) on HD
> 4000 but in other computer (Toshiba Z930 i7) with HD 4400 works perfect.
>
> philipp_023 solution doesn't work. Any solution worked.
>
> I think that is a very important bug and can't be without solve during 6
> months.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1386721
>
> Title:
> Graphics Slow After Upgrade 14.04 - 14.10
>
> Status in Ubuntu GNOME:
> Confirmed
>
> Bug description:
> Using Gnome Ubuntu 14.10, Dell XPS 13, intel 915 Graphics
>
> After upgrading from 14.04 to 14.10 there are a lot of places where
> the graphics are working much slower than they were before:
>
> - Gnome Shell Interface is very sluggish, visible "chops" (redrawing)
> when pressing the [Super] key.
>
> - Selecting text in Gedit takes a full second pr. line
>
> Experiences some subjective improvement when I booted kernel 3.13.0-37
> instead of 3.16.0-23, but that may be my imagination as the problem
> persists.
>
> I've searched google, forums, found a couple of relevant links that
> point to the issue being the Intel drivers.
>
> http://askubuntu.com/questions/53962...E2%86%92-14-10
> http://www.webupd8.org/2014/10/ubunt...ent-1652086424
>
> But the drivers currently in 14.10 should be newer than those supplied
> by Intel to 14.04 so that doesn't make sense to me. As one Intel
> developer wrote:
>
> "I would like to point out that since what we do is bring more ecent
> versions of the software to the target distributions than they ship
> with, a 14.04 targeted installer is unlikely to bring much to a 14.10
> installation, which most likely has the same or more recent versions
> already anyway."
>
> Source: https://01.org/linuxgraphics/node/375
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.10
> Package: xorg 1:7.7+7ubuntu2
> ProcVersionSignature: Ubuntu 3.16.0-23.31-generic 3.16.4
> Uname: Linux 3.16.0-23-generic x86_64
> ApportVersion: 2.14.7-0ubuntu8
> Architecture: amd64
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: None
> CurrentDesktop: GNOME
> Date: Tue Oct 28 15:24:30 2014
> DistUpgraded: 2014-10-25 20:59:36,052 DEBUG enabling apt cron job
> DistroCodename: utopic
> DistroVariant: ubuntu
> DkmsStatus: i915-3.15-3.13, 0.01, 3.13.0-37-generic, x86_64: installed
> ExtraDebuggingInterest: Yes, if not too technical
> GraphicsCard:
> Intel Corporation Haswell-ULT Integrated Graphics Controller
> [8086:0a16] (rev 09) (prog-if 00 [VGA controller])
> Subsystem: Dell Device [1028:060a]
> InstallationDate: Installed on 2014-06-14 (135 days ago)
> InstallationMedia: Ubuntu-GNOME 14.04 LTS "Trusty Tahr" - Release amd64
> (20140416.2)
> MachineType: Dell Inc. XPS13 9333
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.16.0-23-generic
> root...

Read more...

Lito (lito-eordes) wrote :

#115 Logan, any change has worked:

1) Try: Disabled bootloader graphics, VESA and PAT memory with xdiagnose and reboot. Result: no changes.

2) Try: Installed gnome3 and edgers packages and reboot. Result: no changes.

add-apt-repository ppa:xorg-edgers/ppa
add-apt-repository ppa:gnome3-team/gnome3
add-apt-repository ppa:gnome3-team/gnome3-staging

apt-get update && apt-get dist-upgrade

3) Try: Enabled bootloader graphics, VESA and PAT memory with xdiagnose and reboot. Result: no changes.

Lito (lito-eordes) wrote :

One comment about this problem is that this bug only affect me when the external monitor is connected. I have two monitors connected on laptop, one using HDMI and other with VGA.

I can replicate the exact same issue that Celian demonstrates in his YouTube videos. In my instances, my Laptop (Lenovo T400) acts exactly the same way, however I have found the following:

If I set modeset for my i915 video driver to 1 (or 0, which pulls the setting of DRM_I915_KMS=y from the kernel config), my framerate increases from 60fps to ~1000fps. This also fixes the sluggishness Celian and others have been complaining about, at least in my instance.

Adding "options i915 modeset=0" to /etc/modprobe.d/i915-kms.conf may be of benefit to some users of the i915 module on this bug report.

Logan Fleur (ldfleur) wrote :
Download full text (5.2 KiB)

Matthew's fix only broke my display aspect ratio, forcing me to remove the
added file from a login console to restore normal functioning. Has anyone
else had any luck with it?

On Thu, 16 Apr 2015 21:35 Matthew Gillespie <email address hidden>
wrote:

> I can replicate the exact same issue that Celian demonstrates in his
> YouTube videos. In my instances, my Laptop (Lenovo T400) acts exactly
> the same way, however I have found the following:
>
> If I set modeset for my i915 video driver to 1 (or 0, which pulls the
> setting of DRM_I915_KMS=y from the kernel config), my framerate
> increases from 60fps to ~1000fps. This also fixes the sluggishness
> Celian and others have been complaining about, at least in my instance.
>
> Adding "options i915 modeset=0" to /etc/modprobe.d/i915-kms.conf may be
> of benefit to some users of the i915 module on this bug report.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1386721
>
> Title:
> Graphics Slow After Upgrade 14.04 - 14.10
>
> Status in Ubuntu GNOME:
> Confirmed
>
> Bug description:
> Using Gnome Ubuntu 14.10, Dell XPS 13, intel 915 Graphics
>
> After upgrading from 14.04 to 14.10 there are a lot of places where
> the graphics are working much slower than they were before:
>
> - Gnome Shell Interface is very sluggish, visible "chops" (redrawing)
> when pressing the [Super] key.
>
> - Selecting text in Gedit takes a full second pr. line
>
> Experiences some subjective improvement when I booted kernel 3.13.0-37
> instead of 3.16.0-23, but that may be my imagination as the problem
> persists.
>
> I've searched google, forums, found a couple of relevant links that
> point to the issue being the Intel drivers.
>
> http://askubuntu.com/questions/53962...E2%86%92-14-10
> http://www.webupd8.org/2014/10/ubunt...ent-1652086424
>
> But the drivers currently in 14.10 should be newer than those supplied
> by Intel to 14.04 so that doesn't make sense to me. As one Intel
> developer wrote:
>
> "I would like to point out that since what we do is bring more ecent
> versions of the software to the target distributions than they ship
> with, a 14.04 targeted installer is unlikely to bring much to a 14.10
> installation, which most likely has the same or more recent versions
> already anyway."
>
> Source: https://01.org/linuxgraphics/node/375
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.10
> Package: xorg 1:7.7+7ubuntu2
> ProcVersionSignature: Ubuntu 3.16.0-23.31-generic 3.16.4
> Uname: Linux 3.16.0-23-generic x86_64
> ApportVersion: 2.14.7-0ubuntu8
> Architecture: amd64
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: None
> CurrentDesktop: GNOME
> Date: Tue Oct 28 15:24:30 2014
> DistUpgraded: 2014-10-25 20:59:36,052 DEBUG enabling apt cron job
> DistroCodename: utopic
> DistroVariant: ubuntu
> DkmsStatus: i915-3.15-3.13, 0.01, 3.13.0-37-generic, x86_64: installed
> ExtraDebuggingInterest: Yes, if not too technical
> GraphicsCard:
> Intel Corporation Haswell-ULT Integrated Gr...

Read more...

Sancho (steven-sanchez) wrote :

I have this bug too. Never in 14.04, but in 14.10 and 15.04 in all DEs. I found a way on youtube that at least solves it for me. It's probably a workaround more than a solution but it works for me.

sudo apt-get install mesa-utils

Now to solve the video tearing

sudo mkdir /etc/X11/xorg.conf.d/

echo -e 'Section "Device"\n Identifier "Intel Graphics"\n Driver "Intel"\n Option "AccelMethod" "sna"\n Option "TearFree" "true"\nEndSection' | sudo tee /etc/X11/xorg.conf.d/20-intel.conf

sudo reboot

Ever since that everything's smooth as a baby's butt

Courtesy to https://www.youtube.com/watch?v=IBtpXh728HU

Lito (lito-eordes) wrote :

Thanks Sancho! This trick also works like a charm for me!

Thanks!

Arthur (iegik) wrote :

Thanks, Sancho (steven-sanchez) on #120

Here is some information about tearing video on Intel mesa module:

https://bugs.freedesktop.org/show_bug.cgi?id=37686
https://wiki.archlinux.org/index.php/Intel_graphics#Tear-free_video

A S (eenuep) wrote :

Hi there. I had the same problem (especially noticeable in Chrome) on Ubuntu 16.04 (latest updates) with Gnome Shell installed and using the Dell XPS 13 9350 (latest firmware updates installed) with two displays (4k & 1080p) connected via Displaylink Docking Station D3000.

The fix of philipp_023 fixed it! Thank you very much for sharing!
Using the notebooks UI felt laggy like hell but now things run incredibly smooth again :) There are still minor bugs or lags when I interact with the Gnome UI or change display settings but this comes very certainly from the DisplayLink driver I had to install.

Cheers!
A.

A S (eenuep) wrote :

Update: okay, the only thing which is still annoyingly slow is the terminal output (if the system has to update/rerender the terminal because of new stdout/err text it's updated with ~1FPS :-/ The rest runs smooth ...

A S (eenuep) wrote :

Sorry - there is no edit button for my previous posts ...

When I run (as mentioned by philipp_023):
> sudo xdiagnose

CHECK only these two: "diable bootloader gfx" & "diable VESA"

but UNCHECK: "disable PAT memory"

Everything (both Chrome/Gnome-Shell UI and Terminal UI) works like a charm for my setup.
Maybe this helps anyone.

Cheers

ledom (sebastien-domeny) wrote :

thanks to philipp_023, my T410 is alive and smooth again after a bad period when I cant use anymore virtualbox because too slow...

It is really annoying when something like this happens. We have to search what is causing the problem, google it, find the right bug and may be a solution or workaround.

Is there an app that check for bugs on a certain computer model and distrib, and alert users that hown this computer about existing bug?

Displaying first 40 and last 40 comments. View all 126 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.